<template>
  <div id="app">
    <tasks @setPreloader="setPreloader"></tasks>

    <!-- Preloader -->
    <div class="preloader" v-if="preloader">
      <img src="./assets/loading.gif" alt="">
    </div>
  </div>
</template>

<script>
import Tasks from './components/Tasks'

export default {
  name: 'App',
  components: {
    Tasks
  },
  data() {
    return {
      preloader: false
    }
  },
  methods: {
    setPreloader(preloader) {
      this.preloader = preloader
    }
  }
}
</script>

<style>
  #app {
    font-family: 'Avenir', Helvetica, Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-align: center;
    color: #2c3e50;
    margin-top: 60px;
  }

  .preloader {
        background-color: rgba(0,0,0,0.5);
        position: fixed;
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 9999;
        width: 100%;
        height: 100vh;
        top: 0;
    }
    .preloader img {
        max-width: 120px;
    }
</style>
